## nvidia-cuda-toolkit 11.5.2

=== debian/changelog ===
nvidia-cuda-toolkit (11.5.2-4) unstable; urgency=medium

  * nsight-systems: Ship nsys-exporter documentation on all platforms.
  * nsight-systems*: Do not ship a python interpreter.
  * Build-Depend on dh-sequence-python3 and use it to rewrite shebangs and
    generate python dependencies.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Oct 2022 22:12:39 +0200

nvidia-cuda-toolkit (11.5.2-3) unstable; urgency=medium

  * Update documentation regarding the CUDA Code Samples.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Oct 2022 09:10:48 +0200

nvidia-cuda-toolkit (11.5.2-2) unstable; urgency=medium

  * Merge changes from 11.4.3-5.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Sep 2022 13:51:41 +0200

nvidia-cuda-toolkit (11.5.2-1) experimental; urgency=medium

  * New upstream release 11.5.2 (February 2022).
  * Merge changes from 11.4.3-4.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 26 Jun 2022 15:28:15 +0200

nvidia-cuda-toolkit (11.4.3-5) unstable; urgency=medium

  * Use a snapshot of openjdk-8-jre (8u342-b07-1).
  * Switch to the unversioned Tesla driver as alternate dependency.
  * Fix FTBFS with readline 8.2.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Sep 2022 21:50:40 +0200
