## nvidia-cuda-toolkit 11.6.0

=== debian/changelog ===
nvidia-cuda-toolkit (11.6.0-1) experimental; urgency=medium

  * New upstream release 11.6.0 (January 2022).
  * Refresh patches.
  * SOVERSION bump, rename library packages:
    - libaccinj64-11.5 => libaccinj64-11.6
    - libcuinj64-11.5 => libcuinj64-11.6
    - libcupti11.5 => libcupti11.6
    - libnvrtc-builtins11.5 => libnvrtc-builtins11.6
  * Update symbols control files.
  * Add B-D: libnuma1.
  * nsight-systems-target: Add CollectX.
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Sep 2022 15:20:38 +0200
