=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  chrpath,
  hardlink,
 Build-Depends-Arch:
- dh-sequence-python3,
 # for cuda-gdb
  bison,
  flex,
@@ -35,11 +34,12 @@
  libdbus-1-3 [amd64],
  libegl1 [amd64],
  libfontconfig1 [amd64],
- libfreetype-dev [!arm64],
+ libfreetype-dev [!arm64] | libfreetype6-dev [!arm64],
  libgl1 [amd64],
  libgssapi-krb5-2 [amd64],
  libnss3 [amd64],
- libssh-dev [amd64],
+ libnuma1 [amd64],
+ libssh-4 [amd64],
  libwayland-cursor0 [amd64],
  libwayland-egl1 [amd64],
  libwayland-server0 [amd64],
@@ -119,10 +119,6 @@
  This package provides the /usr/bin/cuda-gcc, /usr/bin/cuda-g++ symlinks to
  simplify building packages that need to be built with a CUDA-compatible
  compiler.
- .
- This package ensures a deterministic nvcc/gcc combination is used by default
- and is therefore recommended to be used as build dependency for all source
- packages needing nvcc for building.
 
 Package: nvidia-cuda-toolkit-doc
 Section: non-free/doc
@@ -223,7 +219,6 @@
  libjs-jquery,
  ${nsight-compute-target:eq:Version},
  libssh-4 [amd64],
- ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-compute
 Description: NVIDIA Nsight Compute
@@ -262,7 +257,6 @@
  libjs-underscore,
  ${nsight-systems-target:eq:Version},
  libssh-4 [amd64],
- ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-systems
 Description: NVIDIA Nsight Systems
@@ -276,7 +270,6 @@
 Architecture: amd64 ppc64el arm64
 Multi-Arch: same
 Depends:
- python3:any,
  ${shlibs:Depends}, ${misc:Depends}
 Breaks:
  nsight-systems (<< 10.2.89-3),
@@ -328,7 +321,7 @@
  ${package:libcuda1},
  ${misc:Depends}
 Recommends:
- libgl-dev,
+ libgl1-mesa-dev | libgl-dev,
  libvdpau-dev,
  libnvcuvid1,
 Breaks:
@@ -366,3 +359,8 @@
  ${package:libnvidia-ml1},
  ${misc:Depends}
 Breaks:
+ nvidia-cuda-dev (<< 10.1.168-4~),
+Replaces:
+ nvidia-cuda-dev (<< 10.1.168-4~),
+Homepage: https://developer.nvidia.com/nvidia-management-library-NVML
+Description: NVIDIA Management Library (NVML) development files
