## nvidia-cuda-toolkit 11.6.1

=== debian/changelog ===
nvidia-cuda-toolkit (11.6.1-1) experimental; urgency=medium

  * New upstream release 11.6.1 (February 2022).
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Sep 2022 23:50:21 +0200
