## nvidia-cuda-toolkit 11.6.2

=== debian/changelog ===
nvidia-cuda-toolkit (11.6.2-6) unstable; urgency=medium

  * Fix bad version substitution.  (Closes: #1029598)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Jan 2023 12:55:21 +0100

nvidia-cuda-toolkit (11.6.2-5) unstable; urgency=medium

  * Use the separately packaged libcu++-dev.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2023 14:25:19 +0100

nvidia-cuda-toolkit (11.6.2-4) unstable; urgency=medium

  * The CUDA Code Samples are now packaged in nvidia-cuda-samples.
    (Closes: #702948)
  * Update compiler support matrix.
  * Misc. packaging cleanup.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Dec 2022 11:59:32 +0100

nvidia-cuda-toolkit (11.6.2-3) unstable; urgency=medium

  * Use a snapshot of openjdk-8-jre (8u352-ga-1).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2022 11:59:04 +0100

nvidia-cuda-toolkit (11.6.2-2) unstable; urgency=medium

  * Merge changes from 11.5.2-4.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 31 Oct 2022 13:31:23 +0100

nvidia-cuda-toolkit (11.6.2-1) experimental; urgency=medium

  * New upstream release 11.6.2 (March 2022).  (Closes: #1008695)
    * Fixes CVE-2022-21821.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5334
  * d/copyright: Synchronize with updated EULA.txt.
  * Use gcc-11 again as default host compiler.  (Closes: #1006962)
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Oct 2022 11:47:53 +0200
