=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  dh-exec,
  quilt,
  chrpath,
- hardlink,
 Build-Depends-Arch:
+ dh-sequence-python3,
 # for cuda-gdb
  bison,
  flex,
@@ -30,19 +30,18 @@
  texinfo,
  zlib1g-dev,
 # for nsight-compute/nsight-systems
- libasound2-dev [!arm64],
+ libasound2 [amd64],
  libdbus-1-3 [amd64],
  libegl1 [amd64],
  libfontconfig1 [amd64],
- libfreetype-dev [!arm64] | libfreetype6-dev [!arm64],
+ libfreetype6 [amd64],
  libgl1 [amd64],
  libgssapi-krb5-2 [amd64],
  libnss3 [amd64],
  libnuma1 [amd64],
- libssh-4 [amd64],
+ libssh-dev [amd64],
  libwayland-cursor0 [amd64],
  libwayland-egl1 [amd64],
- libwayland-server0 [amd64],
  libxcb-icccm4 [amd64],
  libxcb-image0 [amd64],
  libxcb-keysyms1 [amd64],
@@ -53,20 +52,24 @@
  libxcomposite1 [amd64],
  libxcursor1 [amd64],
  libxdamage1 [amd64],
- libxi-dev [!arm64],
+ libxi6 [amd64],
  libxkbcommon-x11-0 [amd64],
  libxrandr2 [amd64],
- libxtst-dev [!arm64],
+ libxtst6 [amd64],
 # for nvidia-openjdk-8-jre
+ libasound2-dev [!arm64],
+ libfreetype-dev [!arm64],
  libgif-dev [!arm64],
  libjpeg-dev (>= 1:0) [!arm64] | libjpeg62-dev [!arm64],
  liblcms2-dev [!arm64],
  libpcsclite-dev [!arm64],
  libpng-dev [!arm64],
  libpulse-dev [!arm64],
+ libxi-dev [!arm64],
  libxrender-dev [!arm64],
+ libxtst-dev [!arm64],
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://developer.nvidia.com/cuda-zone
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit.git
@@ -77,10 +80,9 @@
 Architecture: amd64 ppc64el arm64
 Depends:
  ${nvidia-profiler:eq:Version} [${cuda:arch:has-nvidia-profiler}],
- nvidia-cuda-dev (= ${binary:Version}),
- nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
+ ${nvidia-cuda-dev:eq:Version},
+ ${nvidia-opencl-dev:eq:Version} | opencl-dev,
  g++-${cuda:gcc:DefaultVersion} | g++-11 | clang-12 | g++-10 | clang-11 | clang-10 | g++-9 | clang-9 | g++-8 | clang-8 | clang-7 | g++-7 | clang-6.0 | clang (<< 1:13~) | g++-6,
- gcc-${cuda:gcc:DefaultVersion} | gcc-11 | clang-12 | gcc-10 | clang-11 | clang-10 | gcc-9 | clang-9 | gcc-8 | clang-8 | clang-7 | gcc-7 | clang-6.0 | clang (<< 1:13~) | gcc-6,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-toolkit-doc (= ${source:Version}),
@@ -108,8 +110,7 @@
 Architecture: amd64 ppc64el arm64
 Depends:
  g++-${cuda:gcc:DefaultVersion},
- gcc-${cuda:gcc:DefaultVersion},
- nvidia-cuda-toolkit (= ${binary:Version}),
+ ${nvidia-cuda-toolkit:eq:Version},
  ${misc:Depends},
 Description: NVIDIA CUDA development toolkit (GCC compatibility)
  The Compute Unified Device Architecture (CUDA) enables NVIDIA
@@ -119,6 +120,10 @@
  This package provides the /usr/bin/cuda-gcc, /usr/bin/cuda-g++ symlinks to
  simplify building packages that need to be built with a CUDA-compatible
  compiler.
+ .
+ This package ensures a deterministic nvcc/gcc combination is used by default
+ and is therefore recommended to be used as build dependency for all source
+ packages needing nvcc for building.
 
 Package: nvidia-cuda-toolkit-doc
 Section: non-free/doc
@@ -131,6 +136,8 @@
  nvidia-cuda-doc (<< 10.2.89-3),
 Replaces:
  nvidia-cuda-doc (<< 10.2.89-3),
+Suggests:
+ nvidia-cuda-samples (>= ${cuda:Version:Major}),
 Homepage: https://docs.nvidia.com/cuda
 Description: NVIDIA CUDA and OpenCL documentation
  The Compute Unified Device Architecture (CUDA) enables NVIDIA
@@ -187,6 +194,7 @@
 Replaces:
  openjdk-8-jre-headless,
  openjdk-8-jre,
+Homepage: http://openjdk.java.net/
 Description: Obsolete OpenJDK Java runtime, for NVIDIA applications
  Full Java runtime environment - needed for executing Java GUI and Webstart
  programs, using Hotspot JIT.
@@ -219,6 +227,7 @@
  libjs-jquery,
  ${nsight-compute-target:eq:Version},
  libssh-4 [amd64],
+ ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-compute
 Description: NVIDIA Nsight Compute
@@ -252,11 +261,11 @@
 Section: non-free/devel
 Architecture: amd64 ppc64el arm64
 Depends:
+ libjs-html5shiv,
  libjs-jquery,
- libjs-sphinxdoc,
- libjs-underscore,
  ${nsight-systems-target:eq:Version},
  libssh-4 [amd64],
+ ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-systems
 Description: NVIDIA Nsight Systems
@@ -270,6 +279,7 @@
 Architecture: amd64 ppc64el arm64
 Multi-Arch: same
 Depends:
+ python3:any,
  ${shlibs:Depends}, ${misc:Depends}
 Breaks:
  nsight-systems (<< 10.2.89-3),
@@ -317,11 +327,13 @@
  ${libnvjpeg:eq:Version},
  ${libcupti-dev:eq:Version},
  ${libnvidia-ml-dev:eq:Version},
+ libcu++-dev (>= ${libcudacxx:Version}~),
+ libcub-dev (>= ${cub:Version}~),
  libthrust-dev (>= ${thrust:Version}~),
  ${package:libcuda1},
  ${misc:Depends}
 Recommends:
- libgl1-mesa-dev | libgl-dev,
+ libgl-dev,
  libvdpau-dev,
  libnvcuvid1,
 Breaks:
@@ -359,8 +371,3 @@
  ${package:libnvidia-ml1},
  ${misc:Depends}
 Breaks:
- nvidia-cuda-dev (<< 10.1.168-4~),
-Replaces:
- nvidia-cuda-dev (<< 10.1.168-4~),
-Homepage: https://developer.nvidia.com/nvidia-management-library-NVML
-Description: NVIDIA Management Library (NVML) development files
