=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 CUDA_GDB_FLAGS	+= --enable-cuda
 CUDA_GDB_FLAGS	+= --enable-targets="$(DEB_HOST_GNU_TYPE),m68k-unknown-linux-gnu"
 CUDA_GDB_FLAGS	+= --disable-nls
+CUDA_GDB_FLAGS	+= --disable-inprocess-agent
+CUDA_GDB_FLAGS	+= --disable-rpath
 # the following flags were taken from gdb 10.1 in bullseye
 CUDA_GDB_FLAGS	+= --disable-gdbtk
 CUDA_GDB_FLAGS	+= --disable-shared
@@ -57,12 +59,14 @@
 CUDA_VERSION_TOOLKIT	?= $(DEB_VERSION_UPSTREAM)
 CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
 CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
+CUDA_VERSION		?= $(CUDA_VERSION_MAJOR).$(CUDA_VERSION_MINOR)
 version_driver		 = $(call aval,CUDA_VERSION_DRIVER_MINIMAL)
-watch_url		 = $(CUDA_WATCH_URL)
 PACKAGE_LIST		:= $(shell dh_listpackages)
 CUDA_GDB_VERSION	?= $(CUDA_VERSION_cuda_gdb)
 DEFAULT_GCC_VERSION	?= $(error Undefined DEFAULT_GCC_VERSION)
 THRUST_VERSION		?= $(or $(strip $(shell perl -ne 'if (/define\s+THRUST_VERSION\s+(\d*)/) { printf "%d.%d.%d\n", $$1 / 100000, $$1 / 100 % 1000, $$1 % 100; }' nvidia-cuda/cuda_cccl/include/thrust/version.h)),$(error empty THRUST_VERSION))
+CUB_VERSION		?= $(THRUST_VERSION)
+LIBCUDACXX_VERSION	?= $(error Undefined LIBCUDACXX_VERSION)
 CUDA_JAVA_HOME		?= /usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
 libdir			 = usr/lib/$(DEB_HOST_MULTIARCH)
 jre_pkg			?= $(filter nvidia-openjdk-8-jre,$(PACKAGE_LIST))
@@ -119,8 +123,7 @@
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= $(foreach t,$(sort $(patsubst %.in,%,$(SOVERTEMPLATES))),$(subst SOVER,$(or $($(firstword $(subst SOVER, ,$(notdir $t))).SOVERSION),XXX),$t))
 AUTOGEN		+= debian/g++
-AUTOKEEP	 = debian/watch
-AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
+AUTOCLEAN	 = $(AUTOGEN)
 AUTOCLEAN	+= debian/shlibs.local
 
 
@@ -189,4 +192,3 @@
 	$(if $($(1).VERSION_PREFIX),$(if $(call dpkg-compare-versions,$($(1).VERSION_PREFIX),le,$(call get-upstream-version,$(1),1)),
 		: DROP PREFIX $(1) $($(1).VERSION_PREFIX) $(call get-upstream-version,$(1),1)
 		$(eval $(1).VERSION_PREFIX =)))
-	$(if $(call dpkg-compare-versions,$($(1).PREV_VERSION),le,$(call get-current-version,$(1))),,
