## nvidia-cuda-toolkit 11.7.0

=== debian/changelog ===
nvidia-cuda-toolkit (11.7.0-2) unstable; urgency=medium

  * Merge changes from 11.6.2-6.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 30 Jan 2023 12:50:48 +0100

nvidia-cuda-toolkit (11.7.0-1) experimental; urgency=medium

  * New upstream release 11.7.0 (May 2022).
  * Refresh patches.
  * SOVERSION bump, rename library packages:
    - libaccinj64-11.6 => libaccinj64-11.7
    - libcuinj64-11.6 => libcuinj64-11.7
    - libcupti11.6 => libcupti11.7
    - libnvrtc-builtins11.6 => libnvrtc-builtins11.7
  * Update symbols control files.
  * Add clang-13 as supported compiler alternative.
  * The nsight-compute gui is now available on arm64, too.
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Nov 2022 23:20:44 +0100
