=== debian/control ===
--- 
+++ 
@@ -31,29 +31,31 @@
  zlib1g-dev,
 # for nsight-compute/nsight-systems
  libasound2 [amd64],
- libdbus-1-3 [amd64],
- libegl1 [amd64],
- libfontconfig1 [amd64],
- libfreetype6 [amd64],
- libgl1 [amd64],
+ libdbus-1-3 [!ppc64el],
+ libegl1 [!ppc64el],
+ libfontconfig1 [!ppc64el],
+ libfreetype6 [!ppc64el],
+ libgl1 [!ppc64el],
  libgssapi-krb5-2 [amd64],
  libnss3 [amd64],
  libnuma1 [amd64],
- libssh-dev [amd64],
+ libopengl0 [arm64],
+ libssh-dev [!ppc64el],
  libwayland-cursor0 [amd64],
  libwayland-egl1 [amd64],
- libxcb-icccm4 [amd64],
- libxcb-image0 [amd64],
- libxcb-keysyms1 [amd64],
- libxcb-randr0 [amd64],
- libxcb-render-util0 [amd64],
- libxcb-shape0 [amd64],
+ libxcb-icccm4 [!ppc64el],
+ libxcb-image0 [!ppc64el],
+ libxcb-keysyms1 [!ppc64el],
+ libxcb-randr0 [!ppc64el],
+ libxcb-render-util0 [!ppc64el],
+ libxcb-shape0 [!ppc64el],
  libxcb-xinerama0 [amd64],
+ libxcb-xinput0 [!ppc64el],
  libxcomposite1 [amd64],
  libxcursor1 [amd64],
  libxdamage1 [amd64],
  libxi6 [amd64],
- libxkbcommon-x11-0 [amd64],
+ libxkbcommon-x11-0 [!ppc64el],
  libxrandr2 [amd64],
  libxtst6 [amd64],
 # for nvidia-openjdk-8-jre
@@ -82,7 +84,7 @@
  ${nvidia-profiler:eq:Version} [${cuda:arch:has-nvidia-profiler}],
  ${nvidia-cuda-dev:eq:Version},
  ${nvidia-opencl-dev:eq:Version} | opencl-dev,
- g++-${cuda:gcc:DefaultVersion} | g++-11 | clang-12 | g++-10 | clang-11 | clang-10 | g++-9 | clang-9 | g++-8 | clang-8 | clang-7 | g++-7 | clang-6.0 | clang (<< 1:13~) | g++-6,
+ g++-${cuda:gcc:DefaultVersion} | g++-11 | clang-13 | clang-12 | g++-10 | clang-11 | clang-10 | g++-9 | clang-9 | g++-8 | clang-8 | clang-7 | g++-7 | clang-6.0 | clang (<< 1:14~) | g++-6,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-toolkit-doc (= ${source:Version}),
@@ -226,7 +228,7 @@
  libjs-html5shiv,
  libjs-jquery,
  ${nsight-compute-target:eq:Version},
- libssh-4 [amd64],
+ libssh-4 [!ppc64el],
  ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-compute
@@ -366,8 +368,3 @@
 Package: libnvidia-ml-dev
 Section: non-free/libdevel
 Architecture: amd64 ppc64el arm64
-Multi-Arch: same
-Depends:
- ${package:libnvidia-ml1},
- ${misc:Depends}
-Breaks:
