## nvidia-cuda-toolkit 11.7.1

=== debian/changelog ===
nvidia-cuda-toolkit (11.7.1-5) unstable; urgency=medium

  * nsight-systems: Use the system libpfm.so.4 library.
  * Use a snapshot of openjdk-8-jre (8u362-ga-4).
  * Misc. packaging cleanup.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Feb 2023 01:24:09 +0100

nvidia-cuda-toolkit (11.7.1-4) unstable; urgency=medium

  * nsight-systems: Add Recommends: nvidia-profiler.  (Closes: #1029793)
  * Fix version in libcufile0, libcufile-rdma1 symbol files.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Feb 2023 14:53:55 +0100

nvidia-cuda-toolkit (11.7.1-3) unstable; urgency=medium

  * Fix separate binary-indep build.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Feb 2023 14:50:34 +0100

nvidia-cuda-toolkit (11.7.1-2) unstable; urgency=medium

  * Merge changes from 11.7.0-2.
  * The nvidia-fs kernel module currently only builds for Linux 4.17 to 5.15.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Feb 2023 23:42:41 +0100

nvidia-cuda-toolkit (11.7.1-1) experimental; urgency=medium

  * New upstream release 11.7.1 (August 2022).
  * Add new packages for GPUDirect Storage (GDS): libcufile-dev, libcufile0,
    libcufile-rdma1, gds-tools, nvidia-fs-dkms.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Jan 2023 01:31:43 +0100
