=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  quilt,
  chrpath,
 Build-Depends-Arch:
+ dh-sequence-dkms,
  dh-sequence-python3,
 # for cuda-gdb
  bison,
@@ -29,6 +30,9 @@
  python3-dev,
  texinfo,
  zlib1g-dev,
+# for gds
+ ibverbs-providers [amd64],
+ librdmacm1 [amd64],
 # for nsight-compute/nsight-systems
  libasound2 [amd64],
  libdbus-1-3 [!ppc64el],
@@ -40,6 +44,7 @@
  libnss3 [amd64],
  libnuma1 [amd64],
  libopengl0 [arm64],
+ libpfm4 [amd64],
  libssh-dev [!ppc64el],
  libwayland-cursor0 [amd64],
  libwayland-egl1 [amd64],
@@ -269,6 +274,8 @@
  libssh-4 [amd64],
  ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
+Recommends:
+ ${nvidia-profiler:eq:Version} [${cuda:arch:has-nvidia-profiler}],
 Homepage: https://developer.nvidia.com/nsight-systems
 Description: NVIDIA Nsight Systems
  NVIDIA Nsight Systems is a system-wide performance analysis tool designed to
@@ -361,10 +368,3 @@
 Description: NVIDIA OpenCL development files
  OpenCL (Open Computing Language) is a multi-vendor open standard for
  general-purpose parallel programming of heterogeneous systems that include
- CPUs, GPUs and other processors.
- .
- This metapackage provides the development files: headers and libraries.
-
-Package: libnvidia-ml-dev
-Section: non-free/libdevel
-Architecture: amd64 ppc64el arm64
