=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 THRUST_VERSION		?= $(or $(strip $(shell perl -ne 'if (/define\s+THRUST_VERSION\s+(\d*)/) { printf "%d.%d.%d\n", $$1 / 100000, $$1 / 100 % 1000, $$1 % 100; }' nvidia-cuda/cuda_cccl/include/thrust/version.h)),$(error empty THRUST_VERSION))
 CUB_VERSION		?= $(THRUST_VERSION)
 LIBCUDACXX_VERSION	?= $(error Undefined LIBCUDACXX_VERSION)
+NVIDIA_FS_DKMS_VERSION	?= $(word 1,$(subst ., ,$(nvidia-fs-dkms.VERSION))).$(word 2,$(subst ., ,$(nvidia-fs-dkms.VERSION)))
 CUDA_JAVA_HOME		?= /usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
 libdir			 = usr/lib/$(DEB_HOST_MULTIARCH)
 jre_pkg			?= $(filter nvidia-openjdk-8-jre,$(PACKAGE_LIST))
@@ -80,6 +81,7 @@
 export NSIGHT_COMPUTE_DESKTOP_DIR	 = $(NSIGHT_COMPUTE_DESKTOP_DIR.$(DEB_HOST_ARCH))
 export NSIGHT_SYSTEMS_HOST_DIR		 = $(NSIGHT_SYSTEMS_HOST_DIR.$(DEB_HOST_ARCH))
 export NSIGHT_SYSTEMS_TARGET_DIR	 = $(NSIGHT_SYSTEMS_TARGET_DIR.$(DEB_HOST_ARCH))
+export NVIDIA_FS_DKMS_VERSION
 
 package_libcuda1	 = $(package_libcuda1.$(VENDOR))
 package_libcuda1	+= libcuda.so.1 (>= $${nvidia:MinVersion}) |
@@ -147,6 +149,11 @@
 unpack-stamp: nvidia-cuda-tree-$(DEB_HOST_ARCH)
 	$(RM) nvidia-cuda
 	ln -sf nvidia-cuda-tree-$(DEB_HOST_ARCH) nvidia-cuda
+ifneq (amd64,$(DEB_HOST_ARCH))
+	# sync timestamps from amd64 for reproducible arch:all builds on all architectures
+	cd nvidia-cuda && find -type f -exec sh -c 'f="{}"; test ! -f ../amd64/"$$f" || touch -r ../amd64/"$$f" "$$f"' \;
+	cd nvidia-cuda && find -type d -exec sh -c 'd="{}"; test ! -d ../amd64/"$$d" || touch -r ../amd64/"$$d" "$$d"' \;
+endif
 	$(RM) -r cuda-gdb-$(CUDA_GDB_VERSION) cuda-gdb
 ifneq (arm64,$(DEB_HOST_ARCH))
 	tar xf nvidia-cuda/cuda_gdb/extras/cuda-gdb-$(CUDA_GDB_VERSION).src.tar.gz
@@ -154,6 +161,9 @@
 	tar xf amd64/cuda_gdb/extras/cuda-gdb-$(CUDA_GDB_VERSION).src.tar.gz
 endif
 	mv cuda-gdb-$(CUDA_GDB_VERSION) cuda-gdb
+ifeq (amd64,$(DEB_HOST_ARCH))
+	mv nvidia-cuda/nvidia_fs/usr/src/nvidia-fs-$(NVIDIA_FS_DKMS_VERSION) nvidia-cuda/nvidia_fs/usr/src/nvidia-fs
+endif
 ifneq (,$(jre_pkg))
 	$(RM) -r openjdk-8-jre
 	dpkg -x $(call get_openjdk_jre_component,$(DEB_HOST_ARCH))/openjdk-8-jre-headless_$(OPENJDK_VERSION)_$(DEB_HOST_ARCH).deb openjdk-8-jre
@@ -175,20 +185,3 @@
 
 # Compare the license in debian/copyright with the EULA shipped in the archive.
 compare-copyright-license: EULA.fmt
-	sed -e '1,/^License: other-NVIDIA-CUDA-TOOLKIT/d; /^$$/,$$d; /^ .$$/d' debian/copyright > copyright.tmp
-	sed -e '/^ .$$/d' EULA.fmt > EULA.tmp
-	diff -w copyright.tmp EULA.tmp
-	rm -f copyright.tmp EULA.tmp
-
-dpkg-compare-versions = $(shell dpkg --compare-versions "$(1)" "$(2)" "$(3)" && echo "$(2)")
-
-# $1 = key, $2 = value, $3 = append_to_file
-define echokv
-	echo '$(shell printf "%-39s" $(1)) = $(2)'	>> $(3)
-
-endef
-
-define update-version-prefix
-	$(if $($(1).VERSION_PREFIX),$(if $(call dpkg-compare-versions,$($(1).VERSION_PREFIX),le,$(call get-upstream-version,$(1),1)),
-		: DROP PREFIX $(1) $($(1).VERSION_PREFIX) $(call get-upstream-version,$(1),1)
-		$(eval $(1).VERSION_PREFIX =)))
